Skip to main content
POST
/
attestation-requests
Send an attestation request
curl --request POST \
  --url https://api.clearpolicy.app/api/v1/attestation-requests \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "person_id": "<string>",
  "document_id": "<string>",
  "recipient_message": "<string>"
}
'
import requests

url = "https://api.clearpolicy.app/api/v1/attestation-requests"

payload = {
    "person_id": "<string>",
    "document_id": "<string>",
    "recipient_message": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({person_id: '<string>', document_id: '<string>', recipient_message: '<string>'})
};

fetch('https://api.clearpolicy.app/api/v1/attestation-requests', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "organization_id": "<string>",
  "document_id": "<string>",
  "document_revision_id": "<string>",
  "person_id": "<string>",
  "recipient_name": "<string>",
  "recipient_email": "jsmith@example.com",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "recipient_message": "<string>",
  "sent_at": "2023-11-07T05:31:56Z",
  "last_reminded_at": "2023-11-07T05:31:56Z",
  "viewed_at": "2023-11-07T05:31:56Z",
  "attested_at": "2023-11-07T05:31:56Z",
  "canceled_at": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "expired_at": "2023-11-07T05:31:56Z",
  "requested_by_user_id": "<string>"
}
{
  "error": "<string>"
}
{
  "error": "<string>"
}
{
  "message": "<string>",
  "payment_url": "<string>"
}
{
  "error": "<string>"
}
{
  "message": "<string>",
  "errors": {}
}
{
  "message": "Too Many Attempts."
}

Authorizations

Authorization
string
header
required

Bearer token created in ClearPolicy API settings with the api:use scope.

Body

application/json
person_id
string
required

The ULID of the person to send the request to.

document_id
string
required

The ULID of the document to send. Must have a published revision.

requested_attestation_type
enum<string>

Override the document's default attestation type. If omitted, the document's default is used.

Available options:
acknowledgment,
signature
recipient_message
string

An optional message to include with the request. This message appears in the emails sent for document requests and on the attestation page.

Maximum string length: 5000

Response

The created attestation request.

id
string
required

The ULID of the attestation request.

organization_id
string
required

The ULID of the organization.

document_id
string
required

The ULID of the document being attested.

document_revision_id
string
required

The ULID of the published revision that was sent.

person_id
string
required

The ULID of the person the request was sent to.

recipient_name
string
required

The name of the recipient when the request was created.

recipient_email
string<email>
required

The email of the recipient when the request was created.

requested_attestation_type
enum<string>
required

The attestation type for this request.

Available options:
acknowledgment,
signature
source
enum<string>
required

How the request was created.

Available options:
oauth,
web,
system,
planning_center
status
enum<string>
required

The current status of the request. Delivery problem statuses (bounced, failed, complained) apply to pending requests whose latest email could not be delivered.

Available options:
created,
sent,
viewed,
attested,
canceled,
expired,
bounced,
failed,
complained
created_at
string<date-time>
required

When the request was created.

updated_at
string<date-time>
required

When the request was last updated.

recipient_message
string | null

The message included with the request that appears in emails and on the attestation page, or null if none was provided.

sent_at
string<date-time> | null

When the request was sent, or null.

last_reminded_at
string<date-time> | null

When the most recent reminder was sent, or null.

viewed_at
string<date-time> | null

When the recipient first viewed the request, or null.

attested_at
string<date-time> | null

When the recipient completed the attestation, or null.

canceled_at
string<date-time> | null

When the request was canceled, or null.

expires_at
string<date-time> | null

When the request is scheduled to expire, or null.

expired_at
string<date-time> | null

When the request expired, or null.

requested_by_user_id
string | null

The ULID of the user whose API token issued this request.

Last modified on June 26, 2026